buypeeb
===

a simple dotnet core program that allows you to track auctions on yahoo auctions japan, written in c#. designed for and with linux, but works on windows.

## quick start (arch linux)
```bash
git clone https://git.bune.city/lynnesbian/buypeeb-cs
cd buypeeb-cs
sudo pacman -S dotnet-sdk
dotnet run
```

<!-- ## quick install (arch linux)
this doesn't work 0uo
```bash
curl https://git.bune.city/lynnesbian/buypeeb-cs/raw/branch/master/PKGBUILD
makepkg -si # installs to /usr/bin/buypeeb
buypeeb
``` -->
---

## installing prerequisites
you'll need the [dotnet core sdk](https://dotnet.microsoft.com/)

### debian
follow [these instructions](https://docs.microsoft.com/en-us/dotnet/core/install/linux-debian) to add the dotnet repo and install dotnet-sdk.

### arch linux
```
sudo pacman -S dotnet-sdk
```

### windows
- download and install ".NET Core SDK" from [this page](https://dotnet.microsoft.com/download)
- run `dotnet build` - this *should* pull in gtk3 automatically - if not, you'll need to [install it yourself](https://github.com/tschoonj/GTK-for-Windows-Runtime-Environment-Installer/releases/latest)

i have no idea how to install mono with gtksharp properly on windows, and believe me i tried

---

## compiling
```
dotnet build
```

---
## running
```
dotnet run
```

---
## compiling a standalone version
the standalone versions are rather big, so it's a good idea to compress them for distribution.
### linux
run `./release.sh`.

the binary will be located at `./out/release/linux/buypeeb`, with a [zstandard](https://facebook.github.io/zstd/) compressed version at `buypeeb.tar.zst` in the same directory.

### windows
run `.\release.ps1`.

the binary will be located at `.\out\release\windows\buybeep.exe`, with a zip compressed version at `buypeep.zip` in the same directory.

unfortunately, however, this program won't work on machines that don't have GTK3 installed, and installing GTK3 is [quite an undertaking](https://www.gtk.org/docs/installations/windows/). a solution for this is [in the works](https://github.com/GtkSharp/GtkSharp/issues/119), but there's not really anything to be done about it right now.
